Subject: Re: Cygwin + Fetchmail + Ssmtp in Exchange
From: Jason Tishler <[email-masked]>
To: Admin <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Fri, 13 Jun 2008 09:41:23 -0400
List-Id: <cygwin.cygwin.com>

Rod,

Please see the following:

    http://cygwin.com/acronyms/#PPIOSPE

On Thu, Jun 12, 2008 at 11:09:03PM +1000, Rod Lopez wrote:
> I was reading Cygwin mail archives when I came across a few of your
> posts and you seem to know what you are talking about, so I thought
> you might be able to point me in the right direction.
>  
> I normally use Cygwin with Fetchmail on Windows Servers to fetch ISP
> hosted emails and pass them on to the Exchange server.  This is
> because the Intelli Mail Filter (IMF) does not filters spam on port
> 110 (using the Exchange POP Connector) only on port 25 (SMTP
> Connector).  So I run Cygwin on the same box that host Exchange and
> use it as a POP3 to SMTP "converter".  Then I setup a sheduled task on
> Windows to invoke fetchmail every 15 minutes, so fetchmail is not even
> running as a service or invoked by cron - very quick and basic setup,
> and it works very well.
>  
> What I would like to do is install Clam AV and SpamAssassin in Cygwin,
> and add another level of filtering.  What is the best way of doing
> this?  I was thinking something like this:
>  
>     Fetchmail => Procmail (invoking ClamAV + SpamAssassin) => ssmtp => Exchange
>  
> Is this possible,

Yes, I believe that this is possible.

> and what would be the best way of accomplishing this?  I would really
> appreciate your help with this one, as I am not quite sure on how to
> proceed.

It sounds like you just need to invoke ClamAV and SpamAssassin from
procmail as filters.  However, as the above URL indicates, posting will
get you access to more expertise than sending private email.  Maybe
someone from the Cygwin list can help?  Otherwise, I would try other
lists like procmail, fetchmail, etc.

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/